AnnotatedMethodMap (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.introspect

## Class AnnotatedMethodMap

- java.lang.Object
- - org.codehaus.jackson.map.introspect.AnnotatedMethodMap

- All Implemented Interfaces:
    Iterable<AnnotatedMethod>

      public final class AnnotatedMethodMap
      extends Object
      implements Iterable<AnnotatedMethod>

  Simple helper class used to keep track of collection of `AnnotatedMethod`s, accessible by lookup. Lookup is usually needed for augmenting and overriding annotations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LinkedHashMap<MemberKey,AnnotatedMethod>` | `_methods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedMethodMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(AnnotatedMethod am)` Method called to add specified annotated method in the Map.
    `AnnotatedMethod` | `find(Method m)`
    `AnnotatedMethod` | `find(String name, Class<?>[] paramTypes)`
    `boolean` | `isEmpty()`
    `Iterator<AnnotatedMethod>` | `iterator()`
    `AnnotatedMethod` | `remove(AnnotatedMethod am)` Method called to remove specified method, assuming it exists in the Map
    `AnnotatedMethod` | `remove(Method m)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _methods

          protected LinkedHashMap<MemberKey,AnnotatedMethod> _methods

  - ### Constructor Detail

    - #### AnnotatedMethodMap

          public AnnotatedMethodMap()

  - ### Method Detail

    - #### add

          public void add(AnnotatedMethod am)

      Method called to add specified annotated method in the Map.

    - #### remove

          public AnnotatedMethod remove(AnnotatedMethod am)

      Method called to remove specified method, assuming it exists in the Map

    - #### remove

          public AnnotatedMethod remove(Method m)

    - #### isEmpty

          public boolean isEmpty()

    - #### size

          public int size()

    - #### find

          public AnnotatedMethod find(String name,
                             Class<?>[] paramTypes)

    - #### find

          public AnnotatedMethod find(Method m)

    - #### iterator

          public Iterator<AnnotatedMethod> iterator()

      Specified by:
        `iterator` in interface `Iterable<AnnotatedMethod>`